# class TileArray

#### package openfl.display

Available on all platforms

### Constructor

###

`new (length:Int = 0)`

### Variables

###

`read onlywrite onlyalpha:Float`

###

`read onlywrite onlyid:Int`

###

`read onlywrite onlylength:Int`

###

`position:Int`

###

`read onlywrite onlyshader:Shader`

###

`read onlywrite onlytileset:Tileset`

###

`read onlywrite onlyvisible:Bool`

### Methods

###

`getColorTransform (?colorTransform:ColorTransform):ColorTransform`

###

`getMatrix (?matrix:Matrix):Matrix`

###

`getRect (?rect:Rectangle):Rectangle`

###

`setColorTransform (redMultiplier:Float, greenMultiplier:Float, blueMultiplier:Float, alphaMultiplier:Float, redOffset:Float, greenOffset:Float, blueOffset:Float, alphaOffset:Float):Void`

###

`setMatrix (a:Float, b:Float, c:Float, d:Float, tx:Float, ty:Float):Void`

###

`setRect (x:Float, y:Float, width:Float, height:Float):Void`